The integrated cross-platform development tool for ANSI Common Lisp LispWorks logo

Lisp Knowledgebase



Title: LispWorks for Windows applications need Microsoft.VC80.CRT

ID: 17041


Product: LispWorks for Windows
Version: 5, 6.0
OS: All Windows platforms

Description:
LispWorks for Windows (versions 5.0 and later) and applications built with it require msvcr80.dll to be installed.

Without the DLL, LispWorks itself or a delivered LispWorks application will fail to start with the message

This application has failed to start because the application configuration is incorrect.

The LispWorks installer installs the DLL if needed so this problem should not occur on your build machine, but you need to ensure that the DLL is available on target machines for your LispWorks for Windows application.

You can do that for LispWorks (32-bit) by running vcredist_x86.exe (for example, in your application's installer)

At the time of writing this redistributable is at
http://www.microsoft.com/downloads/details.aspx?familyid=32BC1BEE-A3F9-4C13-9C99-220B62A191EE&displaylang=en

Note that Windows Installer 3.0 or later is also needed on the target machine for Windows 2000 or XP.

For LispWorks (64-bit) the redistributable is vcredist_x64.exe which is currently at http://www.microsoft.com/downloads/details.aspx?FamilyID=90548130-4468-4bbc-9673-d6acabd5d13b&DisplayLang=en

See Also:
Workaround:
Patch:

Hardware:N/A
Summary:LispWorks for Windows applications need msvcr80.dll
Bug#:
Patch Enhancement#:
Reported:

Top | Back